declare const _default: import("vue").DefineComponent<Readonly<{
    exp?: any;
    field?: any;
}>, {
    options: import("vue").Ref<{
        name: string;
        value: unknown;
    }[]>;
    showContextItem: import("vue").Ref<boolean>;
    contextItemOptions: {
        key: string;
        name: string;
        val: string;
        label: string;
    }[];
    translateValueByKey: <T extends import("@oinone/kunlun-vue-ui-antd").StandardString>(key: import("@oinone/kunlun-vue-ui-antd").GenericType<T>) => import("@oinone/kunlun-vue-ui-antd").GenericReturnType<T, string>;
    changeShowContextItem: () => void;
    changeContextItemValue: (opt: any) => void;
    changeValue(val: any): void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change-value"[], "change-value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<Readonly<{
    exp?: any;
    field?: any;
}>>> & {
    "onChange-value"?: ((...args: any[]) => any) | undefined;
}, {
    readonly exp?: any;
    readonly field?: any;
}>;
export default _default;
